<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 16:47:17 CEST 2020 -->
<title>PatternsProfilePackage</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PatternsProfilePackage";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PatternsProfilePackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfileFactory.html" title="interface in org.polarsys.chess.patterns.profile.PatternsProfile"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.Literals.html" title="interface in org.polarsys.chess.patterns.profile.PatternsProfile"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html" target="_top">Frames</a></li>
<li><a href="PatternsProfilePackage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.patterns.profile.PatternsProfile</div>
<h2 title="Interface PatternsProfilePackage" class="title">Interface PatternsProfilePackage</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/impl/PatternsProfilePackageImpl.html" title="class in org.polarsys.chess.patterns.profile.PatternsProfile.impl">PatternsProfilePackageImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">PatternsProfilePackage</span>
extends org.eclipse.emf.ecore.EPackage</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Package</b> for the model.
 It contains accessors for the meta objects to represent
 <ul>
   <li>each class,</li>
   <li>each feature of each class,</li>
   <li>each operation of each class,</li>
   <li>each enum,</li>
   <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfileFactory.html" title="interface in org.polarsys.chess.patterns.profile.PatternsProfile"><code>PatternsProfileFactory</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.Literals.html" title="interface in org.polarsys.chess.patterns.profile.PatternsProfile">PatternsProfilePackage.Literals</a></span></code>
<div class="block">Defines literals for the meta objects that represent
 
   each class,
   each feature of each class,
   each operation of each class,
   each enum,
   and each data type
 
 <!-- end-user-doc --></div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html" title="interface in org.polarsys.chess.patterns.profile.PatternsProfile">PatternsProfilePackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#eINSTANCE">eINSTANCE</a></span></code>
<div class="block">The singleton instance of the package.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#eNAME">eNAME</a></span></code>
<div class="block">The package name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#eNS_PREFIX">eNS_PREFIX</a></span></code>
<div class="block">The package namespace name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#eNS_URI">eNS_URI</a></span></code>
<div class="block">The package namespace URI.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#PATTERN">PATTERN</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/impl/PatternImpl.html" title="class in org.polarsys.chess.patterns.profile.PatternsProfile.impl"><code><em>Pattern</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#PATTERN__BASE_COLLABORATION">PATTERN__BASE_COLLABORATION</a></span></code>
<div class="block">The feature id for the '<em><b>Base Collaboration</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#PATTERN__CONSEQUENCES">PATTERN__CONSEQUENCES</a></span></code>
<div class="block">The feature id for the '<em><b>Consequences</b></em>' attribute list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#PATTERN__IMPLEMENTATION">PATTERN__IMPLEMENTATION</a></span></code>
<div class="block">The feature id for the '<em><b>Implementation</b></em>' attribute list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#PATTERN__INTENT">PATTERN__INTENT</a></span></code>
<div class="block">The feature id for the '<em><b>Intent</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#PATTERN__OTHER_NAMES">PATTERN__OTHER_NAMES</a></span></code>
<div class="block">The feature id for the '<em><b>Other Names</b></em>' attribute list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#PATTERN__PATTERN_ASSUMPTIONS">PATTERN__PATTERN_ASSUMPTIONS</a></span></code>
<div class="block">The feature id for the '<em><b>Pattern Assumptions</b></em>' attribute list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#PATTERN__PATTERN_GUARANTEES">PATTERN__PATTERN_GUARANTEES</a></span></code>
<div class="block">The feature id for the '<em><b>Pattern Guarantees</b></em>' attribute list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#PATTERN__PATTERN_NAME">PATTERN__PATTERN_NAME</a></span></code>
<div class="block">The feature id for the '<em><b>Pattern Name</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#PATTERN__PREVIEW">PATTERN__PREVIEW</a></span></code>
<div class="block">The feature id for the '<em><b>Preview</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#PATTERN__PROBLEM">PATTERN__PROBLEM</a></span></code>
<div class="block">The feature id for the '<em><b>Problem</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#PATTERN__SOLUTION">PATTERN__SOLUTION</a></span></code>
<div class="block">The feature id for the '<em><b>Solution</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#PATTERN_APPLICATION">PATTERN_APPLICATION</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/impl/PatternApplicationImpl.html" title="class in org.polarsys.chess.patterns.profile.PatternsProfile.impl"><code><em>Pattern Application</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#PATTERN_APPLICATION__APPLIED_PATTERN">PATTERN_APPLICATION__APPLIED_PATTERN</a></span></code>
<div class="block">The feature id for the '<em><b>Applied Pattern</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#PATTERN_APPLICATION__BASE_COLLABORATION_USE">PATTERN_APPLICATION__BASE_COLLABORATION_USE</a></span></code>
<div class="block">The feature id for the '<em><b>Base Collaboration Use</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#PATTERN_APPLICATION_FEATURE_COUNT">PATTERN_APPLICATION_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Pattern Application</em>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#PATTERN_APPLICATION_OPERATION_COUNT">PATTERN_APPLICATION_OPERATION_COUNT</a></span></code>
<div class="block">The number of operations of the '<em>Pattern Application</em>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#PATTERN_FEATURE_COUNT">PATTERN_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Pattern</em>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#PATTERN_OPERATION_COUNT">PATTERN_OPERATION_COUNT</a></span></code>
<div class="block">The number of operations of the '<em>Pattern</em>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#PATTERN_ROLE">PATTERN_ROLE</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/impl/PatternRoleImpl.html" title="class in org.polarsys.chess.patterns.profile.PatternsProfile.impl"><code><em>Pattern Role</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#PATTERN_ROLE__APPLIED_PATTERN">PATTERN_ROLE__APPLIED_PATTERN</a></span></code>
<div class="block">The feature id for the '<em><b>Applied Pattern</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#PATTERN_ROLE__BASE_NAMED_ELEMENT">PATTERN_ROLE__BASE_NAMED_ELEMENT</a></span></code>
<div class="block">The feature id for the '<em><b>Base Named Element</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#PATTERN_ROLE__MAPPED_ROLE">PATTERN_ROLE__MAPPED_ROLE</a></span></code>
<div class="block">The feature id for the '<em><b>Mapped Role</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#PATTERN_ROLE_FEATURE_COUNT">PATTERN_ROLE_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Pattern Role</em>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#PATTERN_ROLE_OPERATION_COUNT">PATTERN_ROLE_OPERATION_COUNT</a></span></code>
<div class="block">The number of operations of the '<em>Pattern Role</em>' class.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPattern_Base_Collaboration--">getPattern_Base_Collaboration</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getBase_Collaboration--"><code><em>Base Collaboration</em></code></a>'.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPattern_Consequences--">getPattern_Consequences</a></span>()</code>
<div class="block">Returns the meta object for the attribute list '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getConsequences--"><code><em>Consequences</em></code></a>'.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPattern_Implementation--">getPattern_Implementation</a></span>()</code>
<div class="block">Returns the meta object for the attribute list '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getImplementation--"><code><em>Implementation</em></code></a>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPattern_Intent--">getPattern_Intent</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getIntent--"><code><em>Intent</em></code></a>'.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPattern_OtherNames--">getPattern_OtherNames</a></span>()</code>
<div class="block">Returns the meta object for the attribute list '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getOtherNames--"><code><em>Other Names</em></code></a>'.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPattern_PatternAssumptions--">getPattern_PatternAssumptions</a></span>()</code>
<div class="block">Returns the meta object for the attribute list '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getPatternAssumptions--"><code><em>Pattern Assumptions</em></code></a>'.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPattern_PatternGuarantees--">getPattern_PatternGuarantees</a></span>()</code>
<div class="block">Returns the meta object for the attribute list '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getPatternGuarantees--"><code><em>Pattern Guarantees</em></code></a>'.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPattern_PatternName--">getPattern_PatternName</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getPatternName--"><code><em>Pattern Name</em></code></a>'.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPattern_Preview--">getPattern_Preview</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getPreview--"><code><em>Preview</em></code></a>'.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPattern_Problem--">getPattern_Problem</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getProblem--"><code><em>Problem</em></code></a>'.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPattern_Solution--">getPattern_Solution</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getSolution--"><code><em>Solution</em></code></a>'.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPattern--">getPattern</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html" title="interface in org.polarsys.chess.patterns.profile.PatternsProfile"><code><em>Pattern</em></code></a>'.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPatternApplication_AppliedPattern--">getPatternApplication_AppliedPattern</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternApplication.html#getAppliedPattern--"><code><em>Applied Pattern</em></code></a>'.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPatternApplication_Base_CollaborationUse--">getPatternApplication_Base_CollaborationUse</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternApplication.html#getBase_CollaborationUse--"><code><em>Base Collaboration Use</em></code></a>'.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPatternApplication--">getPatternApplication</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternApplication.html" title="interface in org.polarsys.chess.patterns.profile.PatternsProfile"><code><em>Pattern Application</em></code></a>'.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPatternRole_AppliedPattern--">getPatternRole_AppliedPattern</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternRole.html#getAppliedPattern--"><code><em>Applied Pattern</em></code></a>'.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPatternRole_Base_NamedElement--">getPatternRole_Base_NamedElement</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternRole.html#getBase_NamedElement--"><code><em>Base Named Element</em></code></a>'.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPatternRole_MappedRole--">getPatternRole_MappedRole</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternRole.html#getMappedRole--"><code><em>Mapped Role</em></code></a>'.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPatternRole--">getPatternRole</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternRole.html" title="interface in org.polarsys.chess.patterns.profile.PatternsProfile"><code><em>Pattern Role</em></code></a>'.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfileFactory.html" title="interface in org.polarsys.chess.patterns.profile.PatternsProfile">PatternsProfileFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPatternsProfileFactory--">getPatternsProfileFactory</a></span>()</code>
<div class="block">Returns the factory that creates the instances of the model.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.ENamedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.ENamedElement</h3>
<code>getName, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="eNAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNAME</h4>
<pre>static final&nbsp;java.lang.String eNAME</pre>
<div class="block">The package name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.eNAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eNS_URI">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNS_URI</h4>
<pre>static final&nbsp;java.lang.String eNS_URI</pre>
<div class="block">The package namespace URI.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.eNS_URI">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eNS_PREFIX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNS_PREFIX</h4>
<pre>static final&nbsp;java.lang.String eNS_PREFIX</pre>
<div class="block">The package namespace name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.eNS_PREFIX">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eINSTANCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eINSTANCE</h4>
<pre>static final&nbsp;<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html" title="interface in org.polarsys.chess.patterns.profile.PatternsProfile">PatternsProfilePackage</a> eINSTANCE</pre>
<div class="block">The singleton instance of the package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="PATTERN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN</h4>
<pre>static final&nbsp;int PATTERN</pre>
<div class="block">The meta object id for the '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/impl/PatternImpl.html" title="class in org.polarsys.chess.patterns.profile.PatternsProfile.impl"><code><em>Pattern</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/impl/PatternImpl.html" title="class in org.polarsys.chess.patterns.profile.PatternsProfile.impl"><code>PatternImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/impl/PatternsProfilePackageImpl.html#getPattern--"><code>PatternsProfilePackageImpl.getPattern()</code></a>, 
<a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.PATTERN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN__BASE_COLLABORATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN__BASE_COLLABORATION</h4>
<pre>static final&nbsp;int PATTERN__BASE_COLLABORATION</pre>
<div class="block">The feature id for the '<em><b>Base Collaboration</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.PATTERN__BASE_COLLABORATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN__PATTERN_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN__PATTERN_NAME</h4>
<pre>static final&nbsp;int PATTERN__PATTERN_NAME</pre>
<div class="block">The feature id for the '<em><b>Pattern Name</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.PATTERN__PATTERN_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN__OTHER_NAMES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN__OTHER_NAMES</h4>
<pre>static final&nbsp;int PATTERN__OTHER_NAMES</pre>
<div class="block">The feature id for the '<em><b>Other Names</b></em>' attribute list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.PATTERN__OTHER_NAMES">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN__INTENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN__INTENT</h4>
<pre>static final&nbsp;int PATTERN__INTENT</pre>
<div class="block">The feature id for the '<em><b>Intent</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.PATTERN__INTENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN__PROBLEM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN__PROBLEM</h4>
<pre>static final&nbsp;int PATTERN__PROBLEM</pre>
<div class="block">The feature id for the '<em><b>Problem</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.PATTERN__PROBLEM">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN__SOLUTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN__SOLUTION</h4>
<pre>static final&nbsp;int PATTERN__SOLUTION</pre>
<div class="block">The feature id for the '<em><b>Solution</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.PATTERN__SOLUTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN__CONSEQUENCES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN__CONSEQUENCES</h4>
<pre>static final&nbsp;int PATTERN__CONSEQUENCES</pre>
<div class="block">The feature id for the '<em><b>Consequences</b></em>' attribute list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.PATTERN__CONSEQUENCES">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN__IMPLEMENTATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN__IMPLEMENTATION</h4>
<pre>static final&nbsp;int PATTERN__IMPLEMENTATION</pre>
<div class="block">The feature id for the '<em><b>Implementation</b></em>' attribute list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.PATTERN__IMPLEMENTATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN__PATTERN_ASSUMPTIONS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN__PATTERN_ASSUMPTIONS</h4>
<pre>static final&nbsp;int PATTERN__PATTERN_ASSUMPTIONS</pre>
<div class="block">The feature id for the '<em><b>Pattern Assumptions</b></em>' attribute list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.PATTERN__PATTERN_ASSUMPTIONS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN__PATTERN_GUARANTEES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN__PATTERN_GUARANTEES</h4>
<pre>static final&nbsp;int PATTERN__PATTERN_GUARANTEES</pre>
<div class="block">The feature id for the '<em><b>Pattern Guarantees</b></em>' attribute list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.PATTERN__PATTERN_GUARANTEES">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN__PREVIEW">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN__PREVIEW</h4>
<pre>static final&nbsp;int PATTERN__PREVIEW</pre>
<div class="block">The feature id for the '<em><b>Preview</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.PATTERN__PREVIEW">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN_FEATURE_COUNT</h4>
<pre>static final&nbsp;int PATTERN_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Pattern</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.PATTERN_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN_OPERATION_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN_OPERATION_COUNT</h4>
<pre>static final&nbsp;int PATTERN_OPERATION_COUNT</pre>
<div class="block">The number of operations of the '<em>Pattern</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.PATTERN_OPERATION_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN_APPLICATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN_APPLICATION</h4>
<pre>static final&nbsp;int PATTERN_APPLICATION</pre>
<div class="block">The meta object id for the '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/impl/PatternApplicationImpl.html" title="class in org.polarsys.chess.patterns.profile.PatternsProfile.impl"><code><em>Pattern Application</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/impl/PatternApplicationImpl.html" title="class in org.polarsys.chess.patterns.profile.PatternsProfile.impl"><code>PatternApplicationImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/impl/PatternsProfilePackageImpl.html#getPatternApplication--"><code>PatternsProfilePackageImpl.getPatternApplication()</code></a>, 
<a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.PATTERN_APPLICATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN_APPLICATION__APPLIED_PATTERN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN_APPLICATION__APPLIED_PATTERN</h4>
<pre>static final&nbsp;int PATTERN_APPLICATION__APPLIED_PATTERN</pre>
<div class="block">The feature id for the '<em><b>Applied Pattern</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.PATTERN_APPLICATION__APPLIED_PATTERN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN_APPLICATION__BASE_COLLABORATION_USE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN_APPLICATION__BASE_COLLABORATION_USE</h4>
<pre>static final&nbsp;int PATTERN_APPLICATION__BASE_COLLABORATION_USE</pre>
<div class="block">The feature id for the '<em><b>Base Collaboration Use</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.PATTERN_APPLICATION__BASE_COLLABORATION_USE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN_APPLICATION_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN_APPLICATION_FEATURE_COUNT</h4>
<pre>static final&nbsp;int PATTERN_APPLICATION_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Pattern Application</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.PATTERN_APPLICATION_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN_APPLICATION_OPERATION_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN_APPLICATION_OPERATION_COUNT</h4>
<pre>static final&nbsp;int PATTERN_APPLICATION_OPERATION_COUNT</pre>
<div class="block">The number of operations of the '<em>Pattern Application</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.PATTERN_APPLICATION_OPERATION_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN_ROLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN_ROLE</h4>
<pre>static final&nbsp;int PATTERN_ROLE</pre>
<div class="block">The meta object id for the '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/impl/PatternRoleImpl.html" title="class in org.polarsys.chess.patterns.profile.PatternsProfile.impl"><code><em>Pattern Role</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/impl/PatternRoleImpl.html" title="class in org.polarsys.chess.patterns.profile.PatternsProfile.impl"><code>PatternRoleImpl</code></a>, 
<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/impl/PatternsProfilePackageImpl.html#getPatternRole--"><code>PatternsProfilePackageImpl.getPatternRole()</code></a>, 
<a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.PATTERN_ROLE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN_ROLE__BASE_NAMED_ELEMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN_ROLE__BASE_NAMED_ELEMENT</h4>
<pre>static final&nbsp;int PATTERN_ROLE__BASE_NAMED_ELEMENT</pre>
<div class="block">The feature id for the '<em><b>Base Named Element</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.PATTERN_ROLE__BASE_NAMED_ELEMENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN_ROLE__APPLIED_PATTERN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN_ROLE__APPLIED_PATTERN</h4>
<pre>static final&nbsp;int PATTERN_ROLE__APPLIED_PATTERN</pre>
<div class="block">The feature id for the '<em><b>Applied Pattern</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.PATTERN_ROLE__APPLIED_PATTERN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN_ROLE__MAPPED_ROLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN_ROLE__MAPPED_ROLE</h4>
<pre>static final&nbsp;int PATTERN_ROLE__MAPPED_ROLE</pre>
<div class="block">The feature id for the '<em><b>Mapped Role</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.PATTERN_ROLE__MAPPED_ROLE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN_ROLE_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN_ROLE_FEATURE_COUNT</h4>
<pre>static final&nbsp;int PATTERN_ROLE_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Pattern Role</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.PATTERN_ROLE_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PATTERN_ROLE_OPERATION_COUNT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PATTERN_ROLE_OPERATION_COUNT</h4>
<pre>static final&nbsp;int PATTERN_ROLE_OPERATION_COUNT</pre>
<div class="block">The number of operations of the '<em>Pattern Role</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.patterns.profile.PatternsProfile.PatternsProfilePackage.PATTERN_ROLE_OPERATION_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getPattern--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPattern</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getPattern()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html" title="interface in org.polarsys.chess.patterns.profile.PatternsProfile"><code><em>Pattern</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Pattern</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html" title="interface in org.polarsys.chess.patterns.profile.PatternsProfile"><code>Pattern</code></a></dd>
</dl>
</li>
</ul>
<a name="getPattern_Base_Collaboration--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPattern_Base_Collaboration</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getPattern_Base_Collaboration()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getBase_Collaboration--"><code><em>Base Collaboration</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Collaboration</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getBase_Collaboration--"><code>Pattern.getBase_Collaboration()</code></a>, 
<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPattern--"><code>getPattern()</code></a></dd>
</dl>
</li>
</ul>
<a name="getPattern_PatternName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPattern_PatternName</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getPattern_PatternName()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getPatternName--"><code><em>Pattern Name</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Pattern Name</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getPatternName--"><code>Pattern.getPatternName()</code></a>, 
<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPattern--"><code>getPattern()</code></a></dd>
</dl>
</li>
</ul>
<a name="getPattern_OtherNames--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPattern_OtherNames</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getPattern_OtherNames()</pre>
<div class="block">Returns the meta object for the attribute list '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getOtherNames--"><code><em>Other Names</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute list '<em>Other Names</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getOtherNames--"><code>Pattern.getOtherNames()</code></a>, 
<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPattern--"><code>getPattern()</code></a></dd>
</dl>
</li>
</ul>
<a name="getPattern_Intent--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPattern_Intent</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getPattern_Intent()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getIntent--"><code><em>Intent</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Intent</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getIntent--"><code>Pattern.getIntent()</code></a>, 
<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPattern--"><code>getPattern()</code></a></dd>
</dl>
</li>
</ul>
<a name="getPattern_Problem--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPattern_Problem</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getPattern_Problem()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getProblem--"><code><em>Problem</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Problem</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getProblem--"><code>Pattern.getProblem()</code></a>, 
<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPattern--"><code>getPattern()</code></a></dd>
</dl>
</li>
</ul>
<a name="getPattern_Solution--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPattern_Solution</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getPattern_Solution()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getSolution--"><code><em>Solution</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Solution</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getSolution--"><code>Pattern.getSolution()</code></a>, 
<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPattern--"><code>getPattern()</code></a></dd>
</dl>
</li>
</ul>
<a name="getPattern_Consequences--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPattern_Consequences</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getPattern_Consequences()</pre>
<div class="block">Returns the meta object for the attribute list '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getConsequences--"><code><em>Consequences</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute list '<em>Consequences</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getConsequences--"><code>Pattern.getConsequences()</code></a>, 
<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPattern--"><code>getPattern()</code></a></dd>
</dl>
</li>
</ul>
<a name="getPattern_Implementation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPattern_Implementation</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getPattern_Implementation()</pre>
<div class="block">Returns the meta object for the attribute list '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getImplementation--"><code><em>Implementation</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute list '<em>Implementation</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getImplementation--"><code>Pattern.getImplementation()</code></a>, 
<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPattern--"><code>getPattern()</code></a></dd>
</dl>
</li>
</ul>
<a name="getPattern_PatternAssumptions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPattern_PatternAssumptions</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getPattern_PatternAssumptions()</pre>
<div class="block">Returns the meta object for the attribute list '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getPatternAssumptions--"><code><em>Pattern Assumptions</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute list '<em>Pattern Assumptions</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getPatternAssumptions--"><code>Pattern.getPatternAssumptions()</code></a>, 
<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPattern--"><code>getPattern()</code></a></dd>
</dl>
</li>
</ul>
<a name="getPattern_PatternGuarantees--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPattern_PatternGuarantees</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getPattern_PatternGuarantees()</pre>
<div class="block">Returns the meta object for the attribute list '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getPatternGuarantees--"><code><em>Pattern Guarantees</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute list '<em>Pattern Guarantees</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getPatternGuarantees--"><code>Pattern.getPatternGuarantees()</code></a>, 
<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPattern--"><code>getPattern()</code></a></dd>
</dl>
</li>
</ul>
<a name="getPattern_Preview--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPattern_Preview</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getPattern_Preview()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getPreview--"><code><em>Preview</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Preview</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/Pattern.html#getPreview--"><code>Pattern.getPreview()</code></a>, 
<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPattern--"><code>getPattern()</code></a></dd>
</dl>
</li>
</ul>
<a name="getPatternApplication--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPatternApplication</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getPatternApplication()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternApplication.html" title="interface in org.polarsys.chess.patterns.profile.PatternsProfile"><code><em>Pattern Application</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Pattern Application</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternApplication.html" title="interface in org.polarsys.chess.patterns.profile.PatternsProfile"><code>PatternApplication</code></a></dd>
</dl>
</li>
</ul>
<a name="getPatternApplication_AppliedPattern--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPatternApplication_AppliedPattern</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getPatternApplication_AppliedPattern()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternApplication.html#getAppliedPattern--"><code><em>Applied Pattern</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Applied Pattern</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternApplication.html#getAppliedPattern--"><code>PatternApplication.getAppliedPattern()</code></a>, 
<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPatternApplication--"><code>getPatternApplication()</code></a></dd>
</dl>
</li>
</ul>
<a name="getPatternApplication_Base_CollaborationUse--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPatternApplication_Base_CollaborationUse</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getPatternApplication_Base_CollaborationUse()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternApplication.html#getBase_CollaborationUse--"><code><em>Base Collaboration Use</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Collaboration Use</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternApplication.html#getBase_CollaborationUse--"><code>PatternApplication.getBase_CollaborationUse()</code></a>, 
<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPatternApplication--"><code>getPatternApplication()</code></a></dd>
</dl>
</li>
</ul>
<a name="getPatternRole--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPatternRole</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getPatternRole()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternRole.html" title="interface in org.polarsys.chess.patterns.profile.PatternsProfile"><code><em>Pattern Role</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Pattern Role</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternRole.html" title="interface in org.polarsys.chess.patterns.profile.PatternsProfile"><code>PatternRole</code></a></dd>
</dl>
</li>
</ul>
<a name="getPatternRole_Base_NamedElement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPatternRole_Base_NamedElement</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getPatternRole_Base_NamedElement()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternRole.html#getBase_NamedElement--"><code><em>Base Named Element</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Named Element</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternRole.html#getBase_NamedElement--"><code>PatternRole.getBase_NamedElement()</code></a>, 
<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPatternRole--"><code>getPatternRole()</code></a></dd>
</dl>
</li>
</ul>
<a name="getPatternRole_AppliedPattern--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPatternRole_AppliedPattern</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getPatternRole_AppliedPattern()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternRole.html#getAppliedPattern--"><code><em>Applied Pattern</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Applied Pattern</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternRole.html#getAppliedPattern--"><code>PatternRole.getAppliedPattern()</code></a>, 
<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPatternRole--"><code>getPatternRole()</code></a></dd>
</dl>
</li>
</ul>
<a name="getPatternRole_MappedRole--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPatternRole_MappedRole</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getPatternRole_MappedRole()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternRole.html#getMappedRole--"><code><em>Mapped Role</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Mapped Role</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternRole.html#getMappedRole--"><code>PatternRole.getMappedRole()</code></a>, 
<a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html#getPatternRole--"><code>getPatternRole()</code></a></dd>
</dl>
</li>
</ul>
<a name="getPatternsProfileFactory--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getPatternsProfileFactory</h4>
<pre><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfileFactory.html" title="interface in org.polarsys.chess.patterns.profile.PatternsProfile">PatternsProfileFactory</a>&nbsp;getPatternsProfileFactory()</pre>
<div class="block">Returns the factory that creates the instances of the model.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the factory that creates the instances of the model.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PatternsProfilePackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfileFactory.html" title="interface in org.polarsys.chess.patterns.profile.PatternsProfile"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.Literals.html" title="interface in org.polarsys.chess.patterns.profile.PatternsProfile"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/polarsys/chess/patterns/profile/PatternsProfile/PatternsProfilePackage.html" target="_top">Frames</a></li>
<li><a href="PatternsProfilePackage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
